%{!?_with_external: %{!?_without_external: %define _with_external 1}}

%define	name	adaptx
%define	version	0.9.6
%define	release	1jpp
%define	section	free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	AdaptX
License:	Exolab Software License
Group:		Development/Libraries/Java
Distribution:	JPackage
Vendor:		JPackage Project
Source0:	%{name}-%{version}-cvs.tar.bz2
Url:		http://castor.exolab.org/
%if %{?_with_external:1}%{!?_with_external:0}
BuildRequires:	%{name} = %{epoch}:%{version}-%{release}
%endif
BuildRequires:	ant
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:  xml-commons-apis
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
AdaptX

%package javadoc
Group:		Development/Java
Summary:	Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%package doc
Summary:	Documentation for %{name}
Group:		Development/Documentation

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{name}
# remove CVS internal files
for dir in `find . -type d -name CVS`; do rm -rf $dir; done
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
perl -p -i -e 's|classic|modern|' src/build.xml
%if %{?_with_external:1}%{!?_with_external:0}
export CLASSPATH=$(build-classpath adaptx xml-commons-apis)
%else
export CLASSPATH=dist/adaptx_%{version}.jar:$(build-classpath xml-commons-apis)
%endif
ant -buildfile src/build.xml jar
ant -buildfile src/build.xml javadoc
ant -buildfile src/build.xml doc

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/%{name}_%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -rf build/doc/javadoc

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0664,root,root,0755)
%doc src/etc/{CHANGELOG,contributors.html,LICENSE}
%{_javadir}/*

%files javadoc
%defattr(0664,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files doc
%defattr(0664,root,root,0755)
%doc build/doc/*

%changelog
* Tue Sep 09 2003 David Walluck <david@anti-microsoft.org> 0:0.9.6-1jpp
- 0.9.6
- Nicolas wrote the last changelog entry, not me
- adaptx requires itself to build, so I added '--without-external' in case you need or
  wish to use the included jar, but it defaults to '--with-external' (e.g., it defaults
  to using the external jpackage version of the jar).
- use the modern, not the classic, compiler
- BuildRequires: xml-commons-apis for doc target

* Fri May 16 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 0:0.9.5-2jpp
- do not self-require for build :)

* Sat May 10 2003 David Walluck <david@anti-microsoft.org> 0:0.9.5-1jpp
- release
